import { App } from 'vue';
import AutoComplete from './AutoComplete';
import {
  AutoCompleteOption,
  AutoCompleteOptGroup
} from 'ant-design-vue/es/auto-complete';
import config from './config';
AutoComplete.install = (app: App, options: any = {}) => {
  // 覆盖默认配置
  Object.assign(config.props, options.props);
  app.component(AutoComplete.name, AutoComplete);

  app.component(AutoCompleteOption.displayName!, AutoCompleteOption);
  app.component(AutoCompleteOptGroup.displayName!, AutoCompleteOptGroup);
  return app;
};
export { AutoCompleteOption, AutoCompleteOptGroup };
export default AutoComplete;
